package log

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
)

var logger *logrus.Logger

func init() {
	logger = logrus.New()

	switch gin.Mode() {
	case gin.DebugMode, gin.TestMode:
		logger.SetLevel(logrus.DebugLevel)
	case gin.ReleaseMode:
		logger.SetLevel(logrus.InfoLevel)
	default:
		panic("unsupported running mode")
	}
}
